<?php
/* SVN FILE: $Id: default.ctp 4718 2007-03-31 17:34:42Z phpnut $ */
/**
 *
 * PHP versions 4 and 5
 *
 * CakePHP(tm) :  Rapid Development Framework <http://www.cakephp.org/>
 * Copyright 2005-2007, Cake Software Foundation, Inc.
 *								1785 E. Sahara Avenue, Suite 490-204
 *								Las Vegas, Nevada 89104
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @filesource
 * @copyright		Copyright 2005-2007, Cake Software Foundation, Inc.
 * @link				http://www.cakefoundation.org/projects/info/cakephp CakePHP(tm) Project
 * @package			cake
 * @subpackage		cake.cake.libs.view.templates.pages
 * @since			CakePHP(tm) v 0.10.0.1076
 * @version			$Revision: 4718 $
 * @modifiedby		$LastChangedBy: phpnut $
 * @lastmodified	$Date: 2007-03-31 11:34:42 -0600 (Sat, 31 Mar 2007) $
 * @license			http://www.opensource.org/licenses/mit-license.php The MIT License
 */
     if (isset($var_for_layout)) 
     $title =  $var_for_layout;
     else
     $title = "";
     
     if (isset($url_for_layout)) 
     $url =  $url_for_layout;
     else
     $url = "";
     
     
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title>
 <?php
    if (isset($var_for_layout)) {
     echo $var_for_layout;
} ?> : 
		<?php echo $title_for_layout;?>
	</title>

	<?php echo $html->charset();?>

	<link rel="icon" href="<?php echo $this->webroot;?>favicon.ico" type="image/x-icon" />
	<link rel="shortcut icon" href="<?php echo $this->webroot;?>favicon.ico" type="image/x-icon" />
	<?php echo $html->css('cake.generic');?>
</head>
<body>

<?php 
echo $this->renderElement('menu',array('menu'=>'user')); 
?>

<!--<div class="actions">
	<ul>
    		<li><?php echo $html->link('Home',   array('controller'=>'users','action'=>'index')); ?> </li>
		<li><?php echo $html->link('Edit User',   array('controller'=>'users','action'=>'useredit')); ?> </li>
        <li><?php echo $html->link('My Videos', array('controller'=>'videos','action'=>'userindex')); ?></li>
        <li><?php echo $html->link('Favorite Videos', array('controller'=>'favorites','action'=>"view")); ?></li>
        <li><?php echo $html->link('Search', array('controller'=>'videos','action'=>'search')); ?></li>
        <li><?php echo $html->link('My Pictures', array('controller'=>'videos','action'=>'userindex')); ?></li>
		<li><?php echo $html->link('Categories', array('controller'=>'categories','action'=>'rview')); ?></li>
        <li><?php echo $html->link('Profile',   array('controller'=>'profiles','action'=>'edit')); ?> </li>
        <li><?php echo $html->link('Messages',array('controller'=>'messages','action'=>'msgindex')); ?></li>
        <li><?php echo $html->link('My Playlist',array('controller'=>'pls','action'=>'index')); ?></li>
         <li><?php echo $html->link('My Albums',array('controller'=>'albs','action'=>'index')); ?></li>
         <li><?php echo $html->link('Logout', array('controller'=>'users','action'=>'logout')); ?></li>
         	<li><?php echo $html->link('Close Account', array('controller'=>'users','action'=>'userdelete'), null, 'Are you sure you want to Close Account ?'); ?> </li>
	</ul>
-->
</div>

	<div id="container">
		<div id="header">
			<h1><?php echo $html->link( $title , $url);?></h1>
		</div>
		<div id="content">
			<?php
				if($session->check('Message.flash')):
						$session->flash();
				endif;
			?>

			<?php echo $content_for_layout;?>

		</div>
		<div id="footer">
			  <div align="center"><?php echo $this->renderElement('bottommenu'); ?> 
			    <div align="right">Copyrights <?php echo $title; ?> 2007
		        </div>
			  </div>
		</div>
</div>
	
	<?php echo $cakeDebug?>
</body>
</html>