<div>
  <p align="justify"><strong><?php echo $siteurl; ?>  Privacy Notice</strong><strong> </strong></p>
  <p align="justify"><strong><?php echo $siteurl; ?>, Inc.</strong> (&quot;<?php echo $siteurl; ?>&quot;)  recognizes that its customers, visitors, users, and others who use <?php echo $siteurl; ?>., or  other web sites owned or operated by The Lion and Lamb Ministry value their  privacy. This Privacy Notice details important information regarding the use  and disclosure of User information collected on the <?php echo $siteurl; ?>  Site. <?php echo $siteurl; ?> provides this Privacy Notice to help you  make an informed decision about whether to use or continue using the <?php echo $siteurl; ?> Site.</p>
  <p align="justify">This Privacy Notice is incorporated into and is subject to the <?php echo $siteurl; ?> Terms of Use. Your use of the <?php echo $siteurl; ?> Sites and any personal  information you provide on the <?php echo $siteurl; ?> Sites remains subject to the terms of this  Privacy Notice and our Terms of Use.</p>
  <p align="justify">Please note that any video, image, or other content posted at the direction  of Users onto the <?php echo $siteurl; ?> Sites becomes published content  and is not considered personally identifiable information subject to this  Privacy Notice.</p>
  <p align="justify"><strong>The Information <?php echo $siteurl; ?> Collects</strong><strong> </strong></p>
  
  <div align="justify">
      <ul type="disc">
        <li><strong>User Provided       Information:</strong> You provide certain personally identifiable       information (such as your name and email address) to <?php echo $siteurl; ?> when choosing to participate in various       activities on the <?php echo $siteurl; ?> Sites such as uploading videos, posting       messages in our forums or in the video comments section, entering contests       or sweepstakes, taking advantage of promotions, responding to surveys, or       subscribing to newsletters or other mailing lists. </li>
        <li><strong>Cookies Information:</strong> When you visit the <?php echo $siteurl; ?> Sites, we may send one or       more cookies, a small text file containing a string of alphanumeric       characters, to your computer that uniquely identifies your browser. <?php echo $siteurl; ?> uses both session cookies and       persistent cookies. A persistent cookie remains after you close your       browser. Persistent cookies may be used by your browser on subsequent       visits to the site. Persistent cookies can be removed by following your       web browser help file directions. A session cookie is temporary and       disappears after you close your browser. You can reset your web browser to       refuse all cookies or to indicate when a cookie is being sent. However,       some features of the <?php echo $siteurl; ?> Sites may not function       properly if the ability to accept cookies is disabled. </li>
        <li><strong>Log File Information:</strong> When you use the <?php echo $siteurl; ?> Sites, our servers       automatically record certain information that your web browser sends       whenever you visit any website. These server logs may include information       such as your web request, Internet Protocol (&quot;IP&quot;) address,       browser type, browser language, referring / exit pages and URLs, platform       type, number of clicks, domain names, landing pages, pages viewed and the       order of those pages, the amount of time spent on particular pages, the       date and time of your request, and one or more cookies that may uniquely       identify your browser. </li>
        <li><strong>Clear GIFs Information:</strong> When you use the <?php echo $siteurl; ?> Sites, we may employ &quot;clear GIFs&quot; (a.k.a. Web Beacons) which are used to       track the online usage patterns of our Users anonymously (i.e., in a       non-personally-identifiable manner). In addition, we may also use clear GIFs in HTML-based emails sent to our users to track       which emails are opened by recipients. </li>
      </ul>
  </div>
  <p align="justify"><strong>The Way <?php echo $siteurl; ?> Uses Information</strong><strong> </strong></p>
  
  <div align="justify">
      <ul type="disc">
        <li>If you submit personally       identifiable information to us through the <?php echo $siteurl; ?> Sites, then we use your personal information to operate, maintain,       and provide to you the features and functionality of the <?php echo $siteurl; ?>       Sites. </li>
        <li>Any personal information or       video content that you voluntarily disclose online (on discussion boards,       in messages and chat areas, within your public profile page, etc.) becomes       publicly available and can be collected and used by others. Your account       name (not your email address) is displayed to other Users when you upload       videos or send messages through the <?php echo $siteurl; ?> Sites and other Users can contact you through messages and comments.       Any videos that you submit to the <?php echo $siteurl; ?> Sites may be redistributed through the internet and other media       channels, and may be viewed by the general public. </li>
        <li>We do not use your email       address or other personally identifiable information to send commercial or       marketing messages without your consent or except as part of a specific       program or feature for which you will have the ability to opt-in or       opt-out. We may, however, use your email address without further consent       for non-marketing or administrative purposes (such as notifying you of       major <?php echo $siteurl; ?> Site changes or for customer service       purposes). </li>
        <li>We use both your personally       identifiable information and certain non-personally-identifiable       information (such as anonymous User usage data, cookies, IP addresses, browser       type, clickstream data, etc.) to improve the       quality and design of the <?php echo $siteurl; ?> Sites and to create new       features, promotions, functionality, and services by storing, tracking,       and analyzing User preferences and trends. </li>
        <li>We use cookies, clear gifs,       and log file information to: (a) remember information so that you will not       have to re-enter it during your visit or the next time you visit the <?php echo $siteurl; ?>       Sites; (b) provide custom, personalized content and information; (c)       monitor the effectiveness of our marketing campaigns; (d) monitor       aggregate metrics such as total number of visitors, pages viewed, etc.;       and (e) track your entries, submissions, and status in promotions,       sweepstakes, and contests. </li>
      </ul>
  </div>
  <p align="justify"><strong>When <?php echo $siteurl; ?> Discloses Information</strong><strong> </strong></p>
  
  <div align="justify">
      <ul type="disc">
        <li>We provide personally       identifiable information and non-personally-identifiable information to       our subsidiaries, affiliated companies, or other businesses or persons for       the purpose of processing such information on our behalf. We require that       these parties agree to process such information in compliance with our       privacy policy, and we use reasonable efforts to limit their use of such       information and to use other appropriate confidentiality and security       measures. </li>
        <li>We do not share your       personally identifiable information (such as name or email address) with       other, third-party companies for their commercial or marketing use without       your consent or except as part of a specific program or feature for which       you will have the ability to opt-in or opt-out. </li>
        <li>We do share       non-personally-identifiable information (such as anonymous User usage       data, referring / exit pages and URLs, platform types, number of clicks,       etc.) with interested third-parties to assist them in understanding the       usage patterns for certain content, services, advertisements, promotions,       and/or functionality on the <?php echo $siteurl; ?> Sites. </li>
        <li>We may release personally       identifiable information and/or non-personally-identifiable information if       required to do so by law, or in the good-faith belief that such action is       necessary to comply with state and federal laws (such as U.S. Copyright       Law) or respond to a court order, subpoena, or search warrant. </li>
        <li><?php echo $siteurl; ?> also reserves the right to       disclose personally identifiable information and/or non-personally-identifiable       information that <?php echo $siteurl; ?> believes, in good faith, is appropriate       or necessary to enforce our Terms of Use, take precautions against       liability, to investigate and defend itself against any third-party claims       or allegations, to assist government enforcement agencies, to protect the       security or integrity of our web site, and to protect the rights,       property, or personal safety of <?php echo $siteurl; ?>, our Users or others. </li>
      </ul>
  </div>
  <p align="justify"><strong>Your</strong><strong> Choices</strong><strong> </strong></p>
  <p align="justify">You may, of course, decline to submit personally identifiable information  through the <?php echo $siteurl; ?> Sites, in which case <?php echo $siteurl; ?> may not  be able to provide certain services to you. You may update or correct your  personal profile information and email preferences at any time by visiting your  account profile page. Please note that media files uploaded by Users to the <?php echo $siteurl; ?> Sites cannot be removed and remain subject to our Terms of Use.</p>
  <p align="justify">To protect your privacy and security, we take reasonable steps (such as  requesting a unique password) to verify your identity before granting you  profile access or making corrections. You are responsible for maintaining the  secrecy of your unique password and account information at all times.</p>
  <p align="justify">Please contact <?php echo $siteurl; ?> with any questions or comments  about this Privacy Policy Notice, your personal information, your consent, or  your opt-in or opt-out choices using this contact form.</p>
  <p align="justify"><strong>Third-party Advertisers, Links to Other Sites</strong><strong> </strong></p>
  <p align="justify"><?php echo $siteurl; ?> allows other companies, called third-party  ad servers or ad networks, to serve advertisements within the <?php echo $siteurl; ?> Sites.  These third-party ad servers or ad networks use technology to send, directly to  your browser, the advertisements and links that appear on the <?php echo $siteurl; ?> Sites. They automatically receive your IP address when this happens. They  may also use other technologies (such as cookies, JavaScript, or Web Beacons)  to measure the effectiveness of their advertisements and to personalize the  advertising content you see.</p>
  <p align="justify"><?php echo $siteurl; ?> does not provide any personally identifiable information to these  third-party ad servers or ad networks without your consent or except as part of  a specific program or feature for which you will have the ability to opt-in or  opt-out. However, please note that if an advertiser asks <?php echo $siteurl; ?>  to show an advertisement to a certain audience (for example, men ages 18-34) or  audience segment (for example, men ages 18-24 who have viewed certain channels  of content) and you respond to that advertisement, the advertiser or ad-server  may conclude that you fit the description of the audience they are trying to  reach. The advertiser may also use information regarding your use of the <?php echo $siteurl; ?> Sites, such as the number of times you viewed an ad (but not any  personally identifiable information), to determine which ads to deliver to you.</p>
  <p align="justify">You should consult the respective privacy policies of these third-party ad  servers or ad networks (see links below) for more information on their  practices and for instructions on how to opt-out of certain practices. <?php echo $siteurl; ?>'s privacy policy does not apply to, and we cannot control the activities  of, such other advertisers or web sites.</p>
  <p align="justify"><strong>Our Commitment To Data Security</strong><strong> </strong></p>
  <p align="justify"><?php echo $siteurl; ?> uses commercially reasonable physical,  managerial, and technical safeguards to preserve the integrity and security of  your personal information. We cannot, however, ensure or warrant the security  of any information you transmit to <?php echo $siteurl; ?> and you do so at your own risk.  Once we receive your transmission of information, <?php echo $siteurl; ?>  makes commercially reasonable efforts to ensure the security of our systems.  However, please note that this is not a guarantee that such information may not  be accessed, disclosed, altered, or destroyed by breach of any of our physical,  technical, or managerial safeguards.</p>
  <p align="justify">If <?php echo $siteurl; ?> learns of a security systems breach, then we  may attempt to notify you electronically so that you can take appropriate  protective steps. <?php echo $siteurl; ?> may post a notice on the <?php echo $siteurl; ?> Sites if  a security breach occurs.</p>
  <p align="justify"><strong>Our Commitment To Childrens'  Privacy:</strong><strong> </strong></p>
  <p align="justify">Protecting the privacy of young children is especially important. For that  reason, <?php echo $siteurl; ?> does not knowingly collect or maintain  personally identifiable information or non-personally-identifiable information  on the <?php echo $siteurl; ?> Sites from persons under 13 years of age, and no part of our website is  directed to persons under 13. If you are under 13 years of age, then please do  not use or access the <?php echo $siteurl; ?> Sites at any time or in any  manner. If <?php echo $siteurl; ?> learns that personally identifiable  information of persons under 13 years of age has been collected on the <?php echo $siteurl; ?> Sites  without verified parental consent, then <?php echo $siteurl; ?> will take the appropriate steps to  delete this information.</p>
  <p align="justify"><strong>Special Note to International Users</strong><strong> </strong></p>
  <p align="justify">The <?php echo $siteurl; ?> Sites are hosted in the United    States. If you are a User accessing the <?php echo $siteurl; ?> Sites  from the European Union, Asia, or any other region with laws or regulations  governing personal data collection, use, and disclosure, that differ from  United States laws, please be advised that through your continued use of the <?php echo $siteurl; ?> Sites,  which are governed by U.S. law, this Privacy Notice, and our Terms of Use, you  are transferring your personal information to the United States and you consent  to that transfer.</p>
  <p align="justify"><strong>In the Event of Merger, </strong><strong>Sale</strong><strong>, or Bankruptcy</strong><strong> </strong></p>
  <p align="justify">In the event that <?php echo $siteurl; ?> is acquired by or merged with a third party  entity, we reserve the right, in any of these circumstances, to transfer or  assign the information we have collected from our Users as part of such merger,  acquisition, sale, or other change of control. In the unlikely event of our  bankruptcy, insolvency, reorganization, receivership, or assignment for the  benefit of creditors, or the application of laws or equitable principles  affecting creditors' rights generally, we may not be able to control how your  personal information is treated, transferred, or used.</p>
  <p align="justify"><strong>Changes and updates to this Privacy Notice</strong><strong> </strong></p>
  <p align="justify">This Privacy Notice may be revised periodically and this will be reflected  by the &quot;effective date&quot;. Please revisit this page to stay aware of  any changes. In general, we only use your personal information in the manner  described in the Privacy Notice in effect when we received the personal  information you provided. Your continued use of the <?php echo $siteurl; ?>  Sites constitutes your agreement to this Privacy Notice and any future  revisions.</p>
  <p align="justify">&nbsp;</p>
</div>
